Name:           op5-support-modules
Version:        %{op5version}
Release:        %{op5release}%{?dist}
Summary:        Contains tools that enhances the 'op5' suite of commands
Group:          op5/Monitor
BuildRoot:      %{_tmppath}/%{name}-%{version}

License:        op5 Software License
Source0:        %name-%version.tar.gz

Requires:       op5-support-modules-log-e2d, op5-support-modules-log-filter, op5-support-modules-log-inject, op5-support-modules-log-merge, op5-support-modules-log-range, op5-support-modules-log-sort, op5-support-modules-mt-report-data-fixmisinit, op5-support-modules-mt-report-data-insert-all-ok, op5-support-modules-mt-report-data-reinsert, op5-support-modules-mt-saved-reports-prop-sla-months, op5-support-modules-node-rawctrl, op5-support-modules-sop-analyze-distribution, op5-support-modules-sop-collect-logs, op5-support-modules-sop-pack-anon-ncfg

%description
This meta-package pulls in extra tools for the 'op5' command suite.

They're supported on a best-effort basis.

%prep
%setup -q


%build
%__make -C rrdsplit
%__make -C rrdsplit test

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 %buildroot%_bindir
install -d -m 755 %buildroot%_libdir/merlin/mon
find . -mindepth 1 -maxdepth 1 -type f -name '*.*' ! -name '*.spec' -exec install -m 755 '{}' %buildroot%_libdir/merlin/mon \;
install -d -m 755 %buildroot%_libdir/merlin/mon/helpfiles
install -m 755 helpfiles/* %buildroot%_libdir/merlin/mon/helpfiles
install -m 755 rrdsplit/rrdsplit %buildroot%_bindir/rrdsplit
install rrdsplit/scripts/rrdmultistorage.py %buildroot%_libdir/merlin/mon/sysconf.rrd-multi-storage.sh
install rrdsplit/scripts/rrdstorageconvert.sh %buildroot%_libdir/merlin/mon/sysconf.rrd-storage-convert.sh


%package log-e2d
Requires: merlin-apps
Summary: Adds the `op5 log e2d' command
Group: op5/Monitor

%description log-e2d
Adds the `op5 log e2d' command

%files log-e2d
%attr(755, root, root) %_libdir/merlin/mon/log.e2d.php
%attr(644, root, root) %_libdir/merlin/mon/helpfiles/log.e2d.txt

%package log-filter
Requires: merlin-apps
Summary: Adds the `op5 log filter' command
Group: op5/Monitor

%description log-filter
Adds the `op5 log filter' command

%files log-filter
%attr(755, root, root) %_libdir/merlin/mon/log.filter.sh
%attr(644, root, root) %_libdir/merlin/mon/helpfiles/log.filter.txt

%package log-inject
Requires: merlin-apps
Summary: Adds the `op5 log inject' command
Group: op5/Monitor

%description log-inject
Adds the `op5 log inject' command

%files log-inject
%attr(755, root, root) %_libdir/merlin/mon/log.inject.sh
%attr(644, root, root) %_libdir/merlin/mon/helpfiles/log.inject.txt

%package log-merge
Requires: merlin-apps
Summary: Adds the `op5 log merge' command
Group: op5/Monitor

%description log-merge
Adds the `op5 log merge' command

%files log-merge
%attr(755, root, root) %_libdir/merlin/mon/log.merge.sh
%attr(644, root, root) %_libdir/merlin/mon/helpfiles/log.merge.txt

%package log-range
Requires: merlin-apps
Summary: Adds the `op5 log range' command
Group: op5/Monitor

%description log-range
Adds the `op5 log range' command

%files log-range
%attr(755, root, root) %_libdir/merlin/mon/log.range.sh
%attr(644, root, root) %_libdir/merlin/mon/helpfiles/log.range.txt

%package log-sort
Requires: merlin-apps
Summary: Adds the `op5 log sort' command
Group: op5/Monitor

%description log-sort
Adds the `op5 log sort' command

%files log-sort
%attr(755, root, root) %_libdir/merlin/mon/log.sort.sh
%attr(644, root, root) %_libdir/merlin/mon/helpfiles/log.sort.txt

%package mt-report-data-fixmisinit
Requires: merlin-apps
Summary: Adds the `op5 mt report-data-fixmisinit' command
Group: op5/Monitor

%description mt-report-data-fixmisinit
Adds the `op5 mt report-data-fixmisinit' command

%files mt-report-data-fixmisinit
%attr(755, root, root) %_libdir/merlin/mon/mt.report-data-fixmisinit.php
%attr(644, root, root) %_libdir/merlin/mon/helpfiles/mt.report-data-fixmisinit.txt

%package mt-report-data-insert-all-ok
Requires: merlin-apps
Summary: Adds the `op5 mt report-data-insert-all-ok' command
Group: op5/Monitor

%description mt-report-data-insert-all-ok
Adds the `op5 mt report-data-insert-all-ok' command

%files mt-report-data-insert-all-ok
%attr(755, root, root) %_libdir/merlin/mon/mt.report-data-insert-all-ok.php
%attr(644, root, root) %_libdir/merlin/mon/helpfiles/mt.report-data-insert-all-ok.txt

%package mt-report-data-reinsert
Requires: merlin-apps
Summary: Adds the `op5 mt report-data-reinsert' command
Group: op5/Monitor

%description mt-report-data-reinsert
Adds the `op5 mt report-data-reinsert' command

%files mt-report-data-reinsert
%attr(755, root, root) %_libdir/merlin/mon/mt.report-data-reinsert.sh
%attr(644, root, root) %_libdir/merlin/mon/helpfiles/mt.report-data-reinsert.txt

%package mt-saved-reports-prop-sla-months
Requires: merlin-apps
Summary: Adds the `op5 mt saved-reports-prop-sla-months' command
Group: op5/Monitor

%description mt-saved-reports-prop-sla-months
Adds the `op5 mt saved-reports-prop-sla-months' command

%files mt-saved-reports-prop-sla-months
%attr(755, root, root) %_libdir/merlin/mon/mt.saved-reports-prop-sla-months.php
%attr(644, root, root) %_libdir/merlin/mon/helpfiles/mt.saved-reports-prop-sla-months.txt

%package node-rawctrl
Requires: merlin-apps
Summary: Adds the `op5 node rawctrl' command
Group: op5/Monitor

%description node-rawctrl
Adds the `op5 node rawctrl' command

%files node-rawctrl
%attr(755, root, root) %_libdir/merlin/mon/node.rawctrl.sh
%attr(644, root, root) %_libdir/merlin/mon/helpfiles/node.rawctrl.txt

%package sop-analyze-distribution
Requires: merlin-apps
Summary: Adds the `op5 sop analyze-distribution' command
Group: op5/Monitor

%description sop-analyze-distribution
Adds the `op5 sop analyze-distribution' command

%files sop-analyze-distribution
%attr(755, root, root) %_libdir/merlin/mon/sop.analyze-distribution.sh
%attr(644, root, root) %_libdir/merlin/mon/helpfiles/sop.analyze-distribution.txt

%package sop-collect-logs
Requires: merlin-apps
Summary: Adds the `op5 sop collect-logs' command
Group: op5/Monitor

%description sop-collect-logs
Adds the `op5 sop collect-logs' command

%files sop-collect-logs
%attr(755, root, root) %_libdir/merlin/mon/sop.collect-logs.sh
%attr(644, root, root) %_libdir/merlin/mon/helpfiles/sop.collect-logs.txt

%package sop-pack-anon-ncfg
Requires: merlin-apps
Summary: Adds the `op5 sop pack-anon-ncfg' command
Group: op5/Monitor

%description sop-pack-anon-ncfg
Adds the `op5 sop pack-anon-ncfg' command

%files sop-pack-anon-ncfg
%attr(755, root, root) %_libdir/merlin/mon/sop.pack-anon-ncfg.sh
%attr(644, root, root) %_libdir/merlin/mon/helpfiles/sop.pack-anon-ncfg.txt


%package rrdsplit
Requires: merlin-apps
Requires: rrdtool
Summary: rrdsplit splits an RRD file into one RRD file per data source
BuildRequires: rrdtool-devel
BuildRequires: rrdtool-python
%if 0%{?suse_version}
# SLES-specific stuff
BuildRequires: python-xml
%endif

Group: op5/Monitor

%description rrdsplit
rrdsplit splits one RRD file into multiple RRD files - one per data source (DS)
in the original RRD. This package also contains the rrd-multi-storage command which
converts a PNP service configuration for use with multiple RRD:s per service
and the rrd-storage-convert command which is converts all PNP service
configurations on the system.

%files rrdsplit
%attr(755, root, root) %_bindir/rrdsplit
%attr(755, root, root) %_libdir/merlin/mon/sysconf.rrd-multi-storage.sh
%attr(755, root, root) %_libdir/merlin/mon/sysconf.rrd-storage-convert.sh
%attr(644, root, root) %_libdir/merlin/mon/helpfiles/sysconf.rrd-multi-storage.txt
%attr(644, root, root) %_libdir/merlin/mon/helpfiles/sysconf.rrd-storage-convert.txt

%changelog
* Thu Dec 11 2014 Robin Sonefors
- Initial package
